NestedPropertyTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.NestedPropertyTag,NestedPropertyTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.nested.NestedPropertyTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, NestedNameSupport, NestedPropertySupport, NestedTagSupport, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class NestedPropertyTag
extends javax.servlet.jsp.tagext.BodyTagSupport
implements NestedNameSupport

NestedPropertyTag. The one of only two additions in this nested suite of tags. This is so that you can specify extra levels of nesting in one elegant tag rather than having to propagate and manage an extra dot notated property in nested child tags. It's simply recognised by the helper class and it's property is added to the nesting list.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `originalName`
`private java.lang.String` | `originalNest`
`private java.lang.String` | `originalProperty`
`private java.lang.String` | `property`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedPropertyTag()`

Method Summary
`int` | `doAfterBody()` Render the resulting content evaluation.
`int` | `doEndTag()` Evaluate the rest of the page
`int` | `doStartTag()` Overriding method of the heart of the tag.
`java.lang.String` | `getName()` The getters and setters required to set a tags name property.
`java.lang.String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setName(java.lang.String newNamed)` The setter for the name property
`void` | `setProperty(java.lang.String newProperty)` Setter method for the property property Also, only setting the original property value to those values not set by the nested logic.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### property

    private java.lang.String property

### originalNest

    private java.lang.String originalNest

### originalName

    private java.lang.String originalName

### originalProperty

    private java.lang.String originalProperty

Constructor Detail

### NestedPropertyTag

    public NestedPropertyTag()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `NestedNameSupport`
  The getters and setters required to set a tags name property.

  Specified by:
    `getName` in interface `NestedNameSupport`
  Returns:
    String value of the tags' name property

### setName

    public void setName(java.lang.String newNamed)

  Description copied from interface: `NestedNameSupport`
  The setter for the name property

  Specified by:
    `setName` in interface `NestedNameSupport`
  Parameters:
    `newNamed` - new String value to set the name property to

### getProperty

    public java.lang.String getProperty()

  Getter method for the property property

  Specified by:
    `getProperty` in interface `NestedPropertySupport`
  Returns:
    String value of the property property

### setProperty

    public void setProperty(java.lang.String newProperty)

  Setter method for the property property Also, only setting the original property value to those values not set by the nested logic.

  Specified by:
    `setProperty` in interface `NestedPropertySupport`
  Parameters:
    `newProperty` - new value for the property property

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Render the resulting content evaluation.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Evaluate the rest of the page

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation